- Qt 6.6
- Qt Sensors
- QML Types
- Accelerometer
- Qt 6.6.2 Reference Documentation

# Accelerometer QML Type

The Accelerometer element reports on linear acceleration along the X, Y and Z axes. More...

Import Statement: | import QtSensors
Since: | QtSensors 5.0
Inherits: | Sensor

- List of all members, including inherited members

## Properties

- accelerationMode : AccelerationMode

## Detailed Description

The Accelerometer element reports on linear acceleration along the X, Y and Z axes.

This element wraps the QAccelerometer class. Please see the documentation for QAccelerometer for details.

See also AccelerometerReading.

## Property Documentation

[since QtSensors 5.1] accelerationMode : AccelerationMode

This property holds the current acceleration mode.

Please see QAccelerometer::accelerationMode for information about this property.

This property was introduced in QtSensors 5.1.